'use server';

import { redirect } from 'next/navigation';
import { getUser } from '@/lib/actions';

const Home = async () => {
  const userResponse = await getUser();
  if (!userResponse.success) {
    redirect('/sign-in');
  } else if (userResponse.data) {
    redirect('/status');
  } else return <div />;
};
export default Home;

//'use client';

////import { TechTable } from '@/components/status';
//import { redirect } from 'next/navigation';
//import { useAuth } from '@/components/context';

//const HomePage = () => {
//const { isAuthenticated } = useAuth();
//if (!isAuthenticated) {
//redirect('/sign-in');
//}
//redirect('/profile');
//};
//export default HomePage;
